Package org.opensaml.soap.wssecurity.messaging

# Class WSSecurityContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.soap.wssecurity.messaging.WSSecurityContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class WSSecurityContext extends BaseContext
A subcontext that carries information related to WS-Security processing.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private Instant`
`timestampCreated`
Value for Timestamp Created.
`private Instant`
`timestampExpires`
Value for Timestamp Expires.
`private LazyList<Token<?>>`
`tokens`
List of known WS-Security tokens.

## Constructor Summary

Constructors
Constructor
Description
`WSSecurityContext()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Instant`
`getTimestampCreated()`
Get the value for Timestamp Created.
`Instant`
`getTimestampExpires()`
Get the value for Timestamp Expires.
`List<Token<?>>`
`getTokens()`
Get the list of WS-Security tokens.
`void`
`setTimestampCreated(Instant value)`
Set the value for Timestamp Created.
`void`
`setTimestampExpires(Instant value)`
Set the value for Timestamp Expires.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### tokens

@Nonnull private LazyList<Token<?>> tokens
List of known WS-Security tokens.

### timestampCreated

@Nullable private Instant timestampCreated
Value for Timestamp Created.

### timestampExpires

@Nullable private Instant timestampExpires
Value for Timestamp Expires.

## Constructor Details

### WSSecurityContext

public WSSecurityContext()
Constructor.

## Method Details

### getTokens

@Nonnull public List<Token<?>> getTokens()
Get the list of WS-Security tokens.

Returns:
  the list of tokens

### getTimestampCreated

@Nullable public Instant getTimestampCreated()
Get the value for Timestamp Created.

Returns:
  the Timestamp Created value

### setTimestampCreated

public void setTimestampCreated(@Nullable Instant value)
Set the value for Timestamp Created.

Parameters:
  `value` - the Timestamp Created value

### getTimestampExpires

@Nullable public Instant getTimestampExpires()
Get the value for Timestamp Expires.

Returns:
  the Timestamp Expires value

### setTimestampExpires

public void setTimestampExpires(@Nullable Instant value)
Set the value for Timestamp Expires.

Parameters:
  `value` - the Timestamp Expires value